summaryrefslogtreecommitdiffstats
path: root/.travis-functions.sh
diff options
context:
space:
mode:
authorRuediger Meier2015-04-13 13:29:26 +0200
committerRuediger Meier2015-04-13 14:49:01 +0200
commit432439a4655d887b03629c7f3ce20ed334467cb4 (patch)
tree17c02443e0c30e5a98564c22b359702e9c0e9cd2 /.travis-functions.sh
parenttests: add subtests for invalid logger devive (diff)
downloadkernel-qcow2-util-linux-432439a4655d887b03629c7f3ce20ed334467cb4.tar.gz
kernel-qcow2-util-linux-432439a4655d887b03629c7f3ce20ed334467cb4.tar.xz
kernel-qcow2-util-linux-432439a4655d887b03629c7f3ce20ed334467cb4.zip
travis: install socat >= 1.7.2
Signed-off-by: Ruediger Meier <ruediger.meier@ga-group.nl>
Diffstat (limited to '.travis-functions.sh')
-rwxr-xr-x.travis-functions.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/.travis-functions.sh b/.travis-functions.sh
index 86146b0cd..e35d8708c 100755
--- a/.travis-functions.sh
+++ b/.travis-functions.sh
@@ -86,6 +86,13 @@ function travis_install_script
gtk-doc-tools \
ntp \
|| return
+
+ # install/upgrade custom stuff from non-official sources
+ sudo add-apt-repository -y ppa:malcscott/socat || return
+ sudo apt-get -qq update || return
+ sudo apt-get install -qq >/dev/null \
+ socat \
+ || return
}
function travis_before_script